## UDisksBlock UDisksBlock — Generated C code for the org.freedesktop.UDisks2.Block D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_block_interface_info ()
guint | udisks_block_override_properties ()
void | udisks_block_call_get_secret_configuration ()
gboolean | udisks_block_call_get_secret_configuration_finish ()
gboolean | udisks_block_call_get_secret_configuration_sync ()
void | udisks_block_complete_get_secret_configuration ()
void | udisks_block_call_add_configuration_item ()
gboolean | udisks_block_call_add_configuration_item_finish ()
gboolean | udisks_block_call_add_configuration_item_sync ()
void | udisks_block_complete_add_configuration_item ()
void | udisks_block_call_remove_configuration_item ()
gboolean | udisks_block_call_remove_configuration_item_finish ()
gboolean | udisks_block_call_remove_configuration_item_sync ()
void | udisks_block_complete_remove_configuration_item ()
void | udisks_block_call_update_configuration_item ()
gboolean | udisks_block_call_update_configuration_item_finish ()
gboolean | udisks_block_call_update_configuration_item_sync ()
void | udisks_block_complete_update_configuration_item ()
void | udisks_block_call_format ()
gboolean | udisks_block_call_format_finish ()
gboolean | udisks_block_call_format_sync ()
void | udisks_block_complete_format ()
void | udisks_block_call_open_for_backup ()
gboolean | udisks_block_call_open_for_backup_finish ()
gboolean | udisks_block_call_open_for_backup_sync ()
void | udisks_block_complete_open_for_backup ()
void | udisks_block_call_open_for_restore ()
gboolean | udisks_block_call_open_for_restore_finish ()
gboolean | udisks_block_call_open_for_restore_sync ()
void | udisks_block_complete_open_for_restore ()
void | udisks_block_call_open_for_benchmark ()
gboolean | udisks_block_call_open_for_benchmark_finish ()
gboolean | udisks_block_call_open_for_benchmark_sync ()
void | udisks_block_complete_open_for_benchmark ()
void | udisks_block_call_open_device ()
gboolean | udisks_block_call_open_device_finish ()
gboolean | udisks_block_call_open_device_sync ()
void | udisks_block_complete_open_device ()
void | udisks_block_call_rescan ()
gboolean | udisks_block_call_rescan_finish ()
gboolean | udisks_block_call_rescan_sync ()
void | udisks_block_complete_rescan ()
GVariant * | udisks_block_get_configuration ()
const gchar * | udisks_block_get_crypto_backing_device ()
const gchar * | udisks_block_get_device ()
const gchar * | udisks_block_get_drive ()
const gchar * | udisks_block_get_id_label ()
const gchar * | udisks_block_get_id_type ()
const gchar * | udisks_block_get_id_usage ()
const gchar * | udisks_block_get_id_uuid ()
const gchar * | udisks_block_get_id_version ()
guint64 | udisks_block_get_device_number ()
const gchar * | udisks_block_get_preferred_device ()
const gchar * | udisks_block_get_id ()
guint64 | udisks_block_get_size ()
gboolean | udisks_block_get_read_only ()
const gchar *const * | udisks_block_get_symlinks ()
gboolean | udisks_block_get_hint_partitionable ()
gboolean | udisks_block_get_hint_system ()
gboolean | udisks_block_get_hint_ignore ()
gboolean | udisks_block_get_hint_auto ()
const gchar * | udisks_block_get_hint_name ()
const gchar * | udisks_block_get_hint_icon_name ()
const gchar * | udisks_block_get_hint_symbolic_icon_name ()
const gchar * | udisks_block_get_mdraid ()
const gchar * | udisks_block_get_mdraid_member ()
GVariant * | udisks_block_dup_configuration ()
gchar * | udisks_block_dup_crypto_backing_device ()
gchar * | udisks_block_dup_device ()
gchar * | udisks_block_dup_drive ()
gchar * | udisks_block_dup_id_label ()
gchar * | udisks_block_dup_id_type ()
gchar * | udisks_block_dup_id_usage ()
gchar * | udisks_block_dup_id_uuid ()
gchar * | udisks_block_dup_id_version ()
gchar * | udisks_block_dup_preferred_device ()
gchar * | udisks_block_dup_id ()
gchar ** | udisks_block_dup_symlinks ()
gchar * | udisks_block_dup_hint_name ()
gchar * | udisks_block_dup_hint_icon_name ()
gchar * | udisks_block_dup_hint_symbolic_icon_name ()
gchar * | udisks_block_dup_mdraid ()
gchar * | udisks_block_dup_mdraid_member ()
void | udisks_block_set_configuration ()
void | udisks_block_set_crypto_backing_device ()
void | udisks_block_set_device ()
void | udisks_block_set_drive ()
void | udisks_block_set_id_label ()
void | udisks_block_set_id_type ()
void | udisks_block_set_id_usage ()
void | udisks_block_set_id_uuid ()
void | udisks_block_set_id_version ()
void | udisks_block_set_device_number ()
void | udisks_block_set_preferred_device ()
void | udisks_block_set_id ()
void | udisks_block_set_size ()
void | udisks_block_set_read_only ()
void | udisks_block_set_symlinks ()
void | udisks_block_set_hint_partitionable ()
void | udisks_block_set_hint_system ()
void | udisks_block_set_hint_ignore ()
void | udisks_block_set_hint_auto ()
void | udisks_block_set_hint_name ()
void | udisks_block_set_hint_icon_name ()
void | udisks_block_set_hint_symbolic_icon_name ()
void | udisks_block_set_mdraid ()
void | udisks_block_set_mdraid_member ()
void | udisks_block_proxy_new ()
UDisksBlock * | udisks_block_proxy_new_finish ()
UDisksBlock * | udisks_block_proxy_new_sync ()
void | udisks_block_proxy_new_for_bus ()
UDisksBlock * | udisks_block_proxy_new_for_bus_finish ()
UDisksBlock * | udisks_block_proxy_new_for_bus_sync ()
UDisksBlock * | udisks_block_skeleton_new ()

## Properties

GVariant * | configuration | Read / Write
char * | crypto-backing-device | Read / Write
char * | device | Read / Write
guint64 | device-number | Read / Write
char * | drive | Read / Write
gboolean | hint-auto | Read / Write
char * | hint-icon-name | Read / Write
gboolean | hint-ignore | Read / Write
char * | hint-name | Read / Write
gboolean | hint-partitionable | Read / Write
char * | hint-symbolic-icon-name | Read / Write
gboolean | hint-system | Read / Write
char * | id | Read / Write
char * | id-label | Read / Write
char * | id-type | Read / Write
char * | id-usage | Read / Write
char * | id-uuid | Read / Write
char * | id-version | Read / Write
char * | mdraid | Read / Write
char * | mdraid-member | Read / Write
char * | preferred-device | Read / Write
gboolean | read-only | Read / Write
guint64 | size | Read / Write
GStrv | symlinks | Read / Write
GStrv | userspace-mount-options | Read / Write

## Signals

gboolean | handle-add-configuration-item | Run Last
gboolean | handle-format | Run Last
gboolean | handle-get-secret-configuration | Run Last
gboolean | handle-open-device | Run Last
gboolean | handle-open-for-backup | Run Last
gboolean | handle-open-for-benchmark | Run Last
gboolean | handle-open-for-restore | Run Last
gboolean | handle-remove-configuration-item | Run Last
gboolean | handle-rescan | Run Last
gboolean | handle-update-configuration-item | Run Last

## Types and Values

| UDisksBlock
struct | UDisksBlockIface
struct | UDisksBlockProxy
struct | UDisksBlockProxyClass
struct | UDisksBlockSkeleton
struct | UDisksBlockSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksBlock
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksBlockSkeleton
        │       ╰── UDisksLinuxBlock
        ╰── GDBusProxy
            ╰── UDisksBlockProxy

## Prerequisites

UDisksBlock requires GObject.

## Implemented Interfaces

UDisksBlockProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksBlock.

UDisksBlockSkeleton implements GDBusInterface and UDisksBlock.

## Known Implementations

UDisksBlock is implemented by UDisksBlockProxy, UDisksBlockSkeleton and UDisksLinuxBlock.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block D-Bus interface in C.

## Functions

### udisks_block_interface_info ()

    GDBusInterfaceInfo *
    udisks_block_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Block D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_block_override_properties ()

    guint
    udisks_block_override_properties (GObjectClass *klass,
                                      guint property_id_begin);

Overrides all GObject properties in the UDisksBlock interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_block_call_get_secret_configuration ()

    void
    udisks_block_call_get_secret_configuration
                                   (UDisksBlock *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetSecretConfiguration()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_get_secret_configuration_finish()` to get the result of the operation.

See `udisks_block_call_get_secret_configuration_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_get_secret_configuration_finish ()

    gboolean
    udisks_block_call_get_secret_configuration_finish
                                   (UDisksBlock *proxy,
                                    GVariant **out_configuration,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_get_secret_configuration()`.

#### Parameters

proxy | A UDisksBlockProxy. |
out_configuration | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_get_secret_configuration()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_get_secret_configuration_sync ()

    gboolean
    udisks_block_call_get_secret_configuration_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_configuration,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetSecretConfiguration()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_get_secret_configuration()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
out_configuration | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_get_secret_configuration ()

    void
    udisks_block_complete_get_secret_configuration
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *configuration);

Helper function used in service implementations to finish handling invocations of the `GetSecretConfiguration()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]
configuration | Parameter to return. |

### udisks_block_call_add_configuration_item ()

    void
    udisks_block_call_add_configuration_item
                                   (UDisksBlock *proxy,
                                    GVariant *arg_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `AddConfigurationItem()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_add_configuration_item_finish()` to get the result of the operation.

See `udisks_block_call_add_configuration_item_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_add_configuration_item_finish ()

    gboolean
    udisks_block_call_add_configuration_item_finish
                                   (UDisksBlock *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_add_configuration_item()`.

#### Parameters

proxy | A UDisksBlockProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_add_configuration_item()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_add_configuration_item_sync ()

    gboolean
    udisks_block_call_add_configuration_item_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `AddConfigurationItem()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_add_configuration_item()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_add_configuration_item ()

    void
    udisks_block_complete_add_configuration_item
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `AddConfigurationItem()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_block_call_remove_configuration_item ()

    void
    udisks_block_call_remove_configuration_item
                                   (UDisksBlock *proxy,
                                    GVariant *arg_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `RemoveConfigurationItem()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_remove_configuration_item_finish()` to get the result of the operation.

See `udisks_block_call_remove_configuration_item_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_remove_configuration_item_finish ()

    gboolean
    udisks_block_call_remove_configuration_item_finish
                                   (UDisksBlock *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_remove_configuration_item()`.

#### Parameters

proxy | A UDisksBlockProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_remove_configuration_item()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_remove_configuration_item_sync ()

    gboolean
    udisks_block_call_remove_configuration_item_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `RemoveConfigurationItem()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_remove_configuration_item()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_remove_configuration_item ()

    void
    udisks_block_complete_remove_configuration_item
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `RemoveConfigurationItem()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_block_call_update_configuration_item ()

    void
    udisks_block_call_update_configuration_item
                                   (UDisksBlock *proxy,
                                    GVariant *arg_old_item,
                                    GVariant *arg_new_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `UpdateConfigurationItem()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_update_configuration_item_finish()` to get the result of the operation.

See `udisks_block_call_update_configuration_item_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_old_item | Argument to pass with the method invocation. |
arg_new_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_update_configuration_item_finish ()

    gboolean
    udisks_block_call_update_configuration_item_finish
                                   (UDisksBlock *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_update_configuration_item()`.

#### Parameters

proxy | A UDisksBlockProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_update_configuration_item()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_update_configuration_item_sync ()

    gboolean
    udisks_block_call_update_configuration_item_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_old_item,
                                    GVariant *arg_new_item,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `UpdateConfigurationItem()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_update_configuration_item()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_old_item | Argument to pass with the method invocation. |
arg_new_item | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_update_configuration_item ()

    void
    udisks_block_complete_update_configuration_item
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `UpdateConfigurationItem()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_block_call_format ()

    void
    udisks_block_call_format (UDisksBlock *proxy,
                              const gchar *arg_type,
                              GVariant *arg_options,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously invokes the `Format()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_format_finish()` to get the result of the operation.

See `udisks_block_call_format_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_format_finish ()

    gboolean
    udisks_block_call_format_finish (UDisksBlock *proxy,
                                     GAsyncResult *res,
                                     GError **error);

Finishes an operation started with `udisks_block_call_format()`.

#### Parameters

proxy | A UDisksBlockProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_format()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_format_sync ()

    gboolean
    udisks_block_call_format_sync (UDisksBlock *proxy,
                                   const gchar *arg_type,
                                   GVariant *arg_options,
                                   GCancellable *cancellable,
                                   GError **error);

Synchronously invokes the `Format()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_format()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_format ()

    void
    udisks_block_complete_format (UDisksBlock *object,
                                  GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Format()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_block_call_open_for_backup ()

    void
    udisks_block_call_open_for_backup (UDisksBlock *proxy,
                                       GVariant *arg_options,
                                       GUnixFDList *fd_list,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `OpenForBackup()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_open_for_backup_finish()` to get the result of the operation.

See `udisks_block_call_open_for_backup_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_open_for_backup_finish ()

    gboolean
    udisks_block_call_open_for_backup_finish
                                   (UDisksBlock *proxy,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_open_for_backup()`.

#### Parameters

proxy | A UDisksBlockProxy. |
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL` to ignore. | [out][optional][nullable]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_open_for_backup()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_open_for_backup_sync ()

    gboolean
    udisks_block_call_open_for_backup_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_options,
                                    GUnixFDList *fd_list,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenForBackup()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_open_for_backup()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out][optional][nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_open_for_backup ()

    void
    udisks_block_complete_open_for_backup (UDisksBlock *object,
                                           GDBusMethodInvocation *invocation,
                                           GUnixFDList *fd_list,
                                           GVariant *fd);

Helper function used in service implementations to finish handling invocations of the `OpenForBackup()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]
fd_list | A GUnixFDList or `NULL`. | [nullable]
fd | Parameter to return. |

### udisks_block_call_open_for_restore ()

    void
    udisks_block_call_open_for_restore (UDisksBlock *proxy,
                                        GVariant *arg_options,
                                        GUnixFDList *fd_list,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `OpenForRestore()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_open_for_restore_finish()` to get the result of the operation.

See `udisks_block_call_open_for_restore_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_open_for_restore_finish ()

    gboolean
    udisks_block_call_open_for_restore_finish
                                   (UDisksBlock *proxy,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_open_for_restore()`.

#### Parameters

proxy | A UDisksBlockProxy. |
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL` to ignore. | [out][optional][nullable]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_open_for_restore()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_open_for_restore_sync ()

    gboolean
    udisks_block_call_open_for_restore_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_options,
                                    GUnixFDList *fd_list,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenForRestore()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_open_for_restore()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out][optional][nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_open_for_restore ()

    void
    udisks_block_complete_open_for_restore
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation,
                                    GUnixFDList *fd_list,
                                    GVariant *fd);

Helper function used in service implementations to finish handling invocations of the `OpenForRestore()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]
fd_list | A GUnixFDList or `NULL`. | [nullable]
fd | Parameter to return. |

### udisks_block_call_open_for_benchmark ()

    void
    udisks_block_call_open_for_benchmark (UDisksBlock *proxy,
                                          GVariant *arg_options,
                                          GUnixFDList *fd_list,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `OpenForBenchmark()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_open_for_benchmark_finish()` to get the result of the operation.

See `udisks_block_call_open_for_benchmark_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_open_for_benchmark_finish ()

    gboolean
    udisks_block_call_open_for_benchmark_finish
                                   (UDisksBlock *proxy,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_call_open_for_benchmark()`.

#### Parameters

proxy | A UDisksBlockProxy. |
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL` to ignore. | [out][optional][nullable]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_open_for_benchmark()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_open_for_benchmark_sync ()

    gboolean
    udisks_block_call_open_for_benchmark_sync
                                   (UDisksBlock *proxy,
                                    GVariant *arg_options,
                                    GUnixFDList *fd_list,
                                    GVariant **out_fd,
                                    GUnixFDList **out_fd_list,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenForBenchmark()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_open_for_benchmark()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out][optional][nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_open_for_benchmark ()

    void
    udisks_block_complete_open_for_benchmark
                                   (UDisksBlock *object,
                                    GDBusMethodInvocation *invocation,
                                    GUnixFDList *fd_list,
                                    GVariant *fd);

Helper function used in service implementations to finish handling invocations of the `OpenForBenchmark()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]
fd_list | A GUnixFDList or `NULL`. | [nullable]
fd | Parameter to return. |

### udisks_block_call_open_device ()

    void
    udisks_block_call_open_device (UDisksBlock *proxy,
                                   const gchar *arg_mode,
                                   GVariant *arg_options,
                                   GUnixFDList *fd_list,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `OpenDevice()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_open_device_finish()` to get the result of the operation.

See `udisks_block_call_open_device_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_mode | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.7.3

### udisks_block_call_open_device_finish ()

    gboolean
    udisks_block_call_open_device_finish (UDisksBlock *proxy,
                                          GVariant **out_fd,
                                          GUnixFDList **out_fd_list,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_block_call_open_device()`.

#### Parameters

proxy | A UDisksBlockProxy. |
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL` to ignore. | [out][optional][nullable]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_open_device()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.3

### udisks_block_call_open_device_sync ()

    gboolean
    udisks_block_call_open_device_sync (UDisksBlock *proxy,
                                        const gchar *arg_mode,
                                        GVariant *arg_options,
                                        GUnixFDList *fd_list,
                                        GVariant **out_fd,
                                        GUnixFDList **out_fd_list,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `OpenDevice()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_open_device()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_mode | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
out_fd | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out][optional][nullable]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.3

### udisks_block_complete_open_device ()

    void
    udisks_block_complete_open_device (UDisksBlock *object,
                                       GDBusMethodInvocation *invocation,
                                       GUnixFDList *fd_list,
                                       GVariant *fd);

Helper function used in service implementations to finish handling invocations of the `OpenDevice()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]
fd_list | A GUnixFDList or `NULL`. | [nullable]
fd | Parameter to return. |

Since: 2.7.3

### udisks_block_call_rescan ()

    void
    udisks_block_call_rescan (UDisksBlock *proxy,
                              GVariant *arg_options,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously invokes the `Rescan()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_call_rescan_finish()` to get the result of the operation.

See `udisks_block_call_rescan_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_block_call_rescan_finish ()

    gboolean
    udisks_block_call_rescan_finish (UDisksBlock *proxy,
                                     GAsyncResult *res,
                                     GError **error);

Finishes an operation started with `udisks_block_call_rescan()`.

#### Parameters

proxy | A UDisksBlockProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_call_rescan()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_call_rescan_sync ()

    gboolean
    udisks_block_call_rescan_sync (UDisksBlock *proxy,
                                   GVariant *arg_options,
                                   GCancellable *cancellable,
                                   GError **error);

Synchronously invokes the `Rescan()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_call_rescan()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_block_complete_rescan ()

    void
    udisks_block_complete_rescan (UDisksBlock *object,
                                  GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Rescan()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_block_get_configuration ()

    GVariant *
    udisks_block_get_configuration (UDisksBlock *object);

Gets the value of the "Configuration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_configuration()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_crypto_backing_device ()

    const gchar *
    udisks_block_get_crypto_backing_device
                                   (UDisksBlock *object);

Gets the value of the "CryptoBackingDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_crypto_backing_device()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_device ()

    const gchar *
    udisks_block_get_device (UDisksBlock *object);

Gets the value of the "Device" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_device()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_drive ()

    const gchar *
    udisks_block_get_drive (UDisksBlock *object);

Gets the value of the "Drive" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_drive()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id_label ()

    const gchar *
    udisks_block_get_id_label (UDisksBlock *object);

Gets the value of the "IdLabel" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id_label()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id_type ()

    const gchar *
    udisks_block_get_id_type (UDisksBlock *object);

Gets the value of the "IdType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id_type()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id_usage ()

    const gchar *
    udisks_block_get_id_usage (UDisksBlock *object);

Gets the value of the "IdUsage" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id_usage()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id_uuid ()

    const gchar *
    udisks_block_get_id_uuid (UDisksBlock *object);

Gets the value of the "IdUUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id_uuid()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id_version ()

    const gchar *
    udisks_block_get_id_version (UDisksBlock *object);

Gets the value of the "IdVersion" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id_version()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_device_number ()

    guint64
    udisks_block_get_device_number (UDisksBlock *object);

Gets the value of the "DeviceNumber" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_preferred_device ()

    const gchar *
    udisks_block_get_preferred_device (UDisksBlock *object);

Gets the value of the "PreferredDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_preferred_device()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_id ()

    const gchar *
    udisks_block_get_id (UDisksBlock *object);

Gets the value of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_id()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_size ()

    guint64
    udisks_block_get_size (UDisksBlock *object);

Gets the value of the "Size" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_read_only ()

    gboolean
    udisks_block_get_read_only (UDisksBlock *object);

Gets the value of the "ReadOnly" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_symlinks ()

    const gchar *const *
    udisks_block_get_symlinks (UDisksBlock *object);

Gets the value of the "Symlinks" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_symlinks()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_hint_partitionable ()

    gboolean
    udisks_block_get_hint_partitionable (UDisksBlock *object);

Gets the value of the "HintPartitionable" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_hint_system ()

    gboolean
    udisks_block_get_hint_system (UDisksBlock *object);

Gets the value of the "HintSystem" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_hint_ignore ()

    gboolean
    udisks_block_get_hint_ignore (UDisksBlock *object);

Gets the value of the "HintIgnore" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_hint_auto ()

    gboolean
    udisks_block_get_hint_auto (UDisksBlock *object);

Gets the value of the "HintAuto" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value.

### udisks_block_get_hint_name ()

    const gchar *
    udisks_block_get_hint_name (UDisksBlock *object);

Gets the value of the "HintName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_hint_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_hint_icon_name ()

    const gchar *
    udisks_block_get_hint_icon_name (UDisksBlock *object);

Gets the value of the "HintIconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_hint_icon_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_hint_symbolic_icon_name ()

    const gchar *
    udisks_block_get_hint_symbolic_icon_name
                                   (UDisksBlock *object);

Gets the value of the "HintSymbolicIconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_hint_symbolic_icon_name()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_mdraid ()

    const gchar *
    udisks_block_get_mdraid (UDisksBlock *object);

Gets the value of the "MDRaid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_mdraid()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_get_mdraid_member ()

    const gchar *
    udisks_block_get_mdraid_member (UDisksBlock *object);

Gets the value of the "MDRaidMember" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_dup_mdraid_member()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_dup_configuration ()

    GVariant *
    udisks_block_dup_configuration (UDisksBlock *object);

Gets a copy of the "Configuration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### udisks_block_dup_crypto_backing_device ()

    gchar *
    udisks_block_dup_crypto_backing_device
                                   (UDisksBlock *object);

Gets a copy of the "CryptoBackingDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_device ()

    gchar *
    udisks_block_dup_device (UDisksBlock *object);

Gets a copy of the "Device" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_drive ()

    gchar *
    udisks_block_dup_drive (UDisksBlock *object);

Gets a copy of the "Drive" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id_label ()

    gchar *
    udisks_block_dup_id_label (UDisksBlock *object);

Gets a copy of the "IdLabel" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id_type ()

    gchar *
    udisks_block_dup_id_type (UDisksBlock *object);

Gets a copy of the "IdType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id_usage ()

    gchar *
    udisks_block_dup_id_usage (UDisksBlock *object);

Gets a copy of the "IdUsage" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id_uuid ()

    gchar *
    udisks_block_dup_id_uuid (UDisksBlock *object);

Gets a copy of the "IdUUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id_version ()

    gchar *
    udisks_block_dup_id_version (UDisksBlock *object);

Gets a copy of the "IdVersion" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_preferred_device ()

    gchar *
    udisks_block_dup_preferred_device (UDisksBlock *object);

Gets a copy of the "PreferredDevice" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_id ()

    gchar *
    udisks_block_dup_id (UDisksBlock *object);

Gets a copy of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_symlinks ()

    gchar **
    udisks_block_dup_symlinks (UDisksBlock *object);

Gets a copy of the "Symlinks" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### udisks_block_dup_hint_name ()

    gchar *
    udisks_block_dup_hint_name (UDisksBlock *object);

Gets a copy of the "HintName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_hint_icon_name ()

    gchar *
    udisks_block_dup_hint_icon_name (UDisksBlock *object);

Gets a copy of the "HintIconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_hint_symbolic_icon_name ()

    gchar *
    udisks_block_dup_hint_symbolic_icon_name
                                   (UDisksBlock *object);

Gets a copy of the "HintSymbolicIconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_mdraid ()

    gchar *
    udisks_block_dup_mdraid (UDisksBlock *object);

Gets a copy of the "MDRaid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_dup_mdraid_member ()

    gchar *
    udisks_block_dup_mdraid_member (UDisksBlock *object);

Gets a copy of the "MDRaidMember" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlock. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_set_configuration ()

    void
    udisks_block_set_configuration (UDisksBlock *object,
                                    GVariant *value);

Sets the "Configuration" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_crypto_backing_device ()

    void
    udisks_block_set_crypto_backing_device
                                   (UDisksBlock *object,
                                    const gchar *value);

Sets the "CryptoBackingDevice" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_device ()

    void
    udisks_block_set_device (UDisksBlock *object,
                             const gchar *value);

Sets the "Device" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_drive ()

    void
    udisks_block_set_drive (UDisksBlock *object,
                            const gchar *value);

Sets the "Drive" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id_label ()

    void
    udisks_block_set_id_label (UDisksBlock *object,
                               const gchar *value);

Sets the "IdLabel" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id_type ()

    void
    udisks_block_set_id_type (UDisksBlock *object,
                              const gchar *value);

Sets the "IdType" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id_usage ()

    void
    udisks_block_set_id_usage (UDisksBlock *object,
                               const gchar *value);

Sets the "IdUsage" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id_uuid ()

    void
    udisks_block_set_id_uuid (UDisksBlock *object,
                              const gchar *value);

Sets the "IdUUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id_version ()

    void
    udisks_block_set_id_version (UDisksBlock *object,
                                 const gchar *value);

Sets the "IdVersion" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_device_number ()

    void
    udisks_block_set_device_number (UDisksBlock *object,
                                    guint64 value);

Sets the "DeviceNumber" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_preferred_device ()

    void
    udisks_block_set_preferred_device (UDisksBlock *object,
                                       const gchar *value);

Sets the "PreferredDevice" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_id ()

    void
    udisks_block_set_id (UDisksBlock *object,
                         const gchar *value);

Sets the "Id" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_size ()

    void
    udisks_block_set_size (UDisksBlock *object,
                           guint64 value);

Sets the "Size" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_read_only ()

    void
    udisks_block_set_read_only (UDisksBlock *object,
                                gboolean value);

Sets the "ReadOnly" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_symlinks ()

    void
    udisks_block_set_symlinks (UDisksBlock *object,
                               const gchar *const *value);

Sets the "Symlinks" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_partitionable ()

    void
    udisks_block_set_hint_partitionable (UDisksBlock *object,
                                         gboolean value);

Sets the "HintPartitionable" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_system ()

    void
    udisks_block_set_hint_system (UDisksBlock *object,
                                  gboolean value);

Sets the "HintSystem" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_ignore ()

    void
    udisks_block_set_hint_ignore (UDisksBlock *object,
                                  gboolean value);

Sets the "HintIgnore" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_auto ()

    void
    udisks_block_set_hint_auto (UDisksBlock *object,
                                gboolean value);

Sets the "HintAuto" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_name ()

    void
    udisks_block_set_hint_name (UDisksBlock *object,
                                const gchar *value);

Sets the "HintName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_icon_name ()

    void
    udisks_block_set_hint_icon_name (UDisksBlock *object,
                                     const gchar *value);

Sets the "HintIconName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_hint_symbolic_icon_name ()

    void
    udisks_block_set_hint_symbolic_icon_name
                                   (UDisksBlock *object,
                                    const gchar *value);

Sets the "HintSymbolicIconName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_mdraid ()

    void
    udisks_block_set_mdraid (UDisksBlock *object,
                             const gchar *value);

Sets the "MDRaid" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_set_mdraid_member ()

    void
    udisks_block_set_mdraid_member (UDisksBlock *object,
                                    const gchar *value);

Sets the "MDRaidMember" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlock. |
value | The value to set. |

### udisks_block_proxy_new ()

    void
    udisks_block_proxy_new (GDBusConnection *connection,
                            GDBusProxyFlags flags,
                            const gchar *name,
                            const gchar *object_path,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_proxy_new_finish()` to get the result of the operation.

See `udisks_block_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_block_proxy_new_finish ()

    UDisksBlock *
    udisks_block_proxy_new_finish (GAsyncResult *res,
                                   GError **error);

Finishes an operation started with `udisks_block_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockProxy]

### udisks_block_proxy_new_sync ()

    UDisksBlock *
    udisks_block_proxy_new_sync (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_block_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockProxy]

### udisks_block_proxy_new_for_bus ()

    void
    udisks_block_proxy_new_for_bus (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_block_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_block_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_block_proxy_new_for_bus_finish ()

    UDisksBlock *
    udisks_block_proxy_new_for_bus_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_block_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockProxy]

### udisks_block_proxy_new_for_bus_sync ()

    UDisksBlock *
    udisks_block_proxy_new_for_bus_sync (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Like `udisks_block_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_block_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockProxy]

### udisks_block_skeleton_new ()

    UDisksBlock *
    udisks_block_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Block.

#### Returns

The skeleton object.

[transfer full][type UDisksBlockSkeleton]

## Types and Values

### UDisksBlock

    typedef struct _UDisksBlock UDisksBlock;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.

### struct UDisksBlockIface

    struct UDisksBlockIface {
      GTypeInterface parent_iface;

      gboolean (*handle_add_configuration_item) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_item,
        GVariant *arg_options);

      gboolean (*handle_format) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_type,
        GVariant *arg_options);

      gboolean (*handle_get_secret_configuration) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_open_for_backup) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GUnixFDList *fd_list,
        GVariant *arg_options);

      gboolean (*handle_open_for_benchmark) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GUnixFDList *fd_list,
        GVariant *arg_options);

      gboolean (*handle_open_for_restore) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GUnixFDList *fd_list,
        GVariant *arg_options);

      gboolean (*handle_remove_configuration_item) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_item,
        GVariant *arg_options);

      gboolean (*handle_rescan) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_update_configuration_item) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_old_item,
        GVariant *arg_new_item,
        GVariant *arg_options);

      GVariant * (*get_configuration) (UDisksBlock *object);

      const gchar * (*get_crypto_backing_device) (UDisksBlock *object);

      const gchar * (*get_device) (UDisksBlock *object);

      guint64  (*get_device_number) (UDisksBlock *object);

      const gchar * (*get_drive) (UDisksBlock *object);

      gboolean  (*get_hint_auto) (UDisksBlock *object);

      const gchar * (*get_hint_icon_name) (UDisksBlock *object);

      gboolean  (*get_hint_ignore) (UDisksBlock *object);

      const gchar * (*get_hint_name) (UDisksBlock *object);

      gboolean  (*get_hint_partitionable) (UDisksBlock *object);

      const gchar * (*get_hint_symbolic_icon_name) (UDisksBlock *object);

      gboolean  (*get_hint_system) (UDisksBlock *object);

      const gchar * (*get_id) (UDisksBlock *object);

      const gchar * (*get_id_label) (UDisksBlock *object);

      const gchar * (*get_id_type) (UDisksBlock *object);

      const gchar * (*get_id_usage) (UDisksBlock *object);

      const gchar * (*get_id_uuid) (UDisksBlock *object);

      const gchar * (*get_id_version) (UDisksBlock *object);

      const gchar * (*get_mdraid) (UDisksBlock *object);

      const gchar * (*get_mdraid_member) (UDisksBlock *object);

      const gchar * (*get_preferred_device) (UDisksBlock *object);

      gboolean  (*get_read_only) (UDisksBlock *object);

      guint64  (*get_size) (UDisksBlock *object);

      const gchar *const * (*get_symlinks) (UDisksBlock *object);

      const gchar *const * (*get_userspace_mount_options) (UDisksBlock *object);

      gboolean (*handle_open_device) (
        UDisksBlock *object,
        GDBusMethodInvocation *invocation,
        GUnixFDList *fd_list,
        const gchar *arg_mode,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Block.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_add_configuration_item` () | Handler for the “handle-add-configuration-item” signal. |
`handle_format` () | Handler for the “handle-format” signal. |
`handle_get_secret_configuration` () | Handler for the “handle-get-secret-configuration” signal. |
`handle_open_for_backup` () | Handler for the “handle-open-for-backup” signal. |
`handle_open_for_benchmark` () | Handler for the “handle-open-for-benchmark” signal. |
`handle_open_for_restore` () | Handler for the “handle-open-for-restore” signal. |
`handle_remove_configuration_item` () | Handler for the “handle-remove-configuration-item” signal. |
`handle_rescan` () | Handler for the “handle-rescan” signal. |
`handle_update_configuration_item` () | Handler for the “handle-update-configuration-item” signal. |
`get_configuration` () | Getter for the “configuration” property. |
`get_crypto_backing_device` () | Getter for the “crypto-backing-device” property. |
`get_device` () | Getter for the “device” property. |
`get_device_number` () | Getter for the “device-number” property. |
`get_drive` () | Getter for the “drive” property. |
`get_hint_auto` () | Getter for the “hint-auto” property. |
`get_hint_icon_name` () | Getter for the “hint-icon-name” property. |
`get_hint_ignore` () | Getter for the “hint-ignore” property. |
`get_hint_name` () | Getter for the “hint-name” property. |
`get_hint_partitionable` () | Getter for the “hint-partitionable” property. |
`get_hint_symbolic_icon_name` () | Getter for the “hint-symbolic-icon-name” property. |
`get_hint_system` () | Getter for the “hint-system” property. |
`get_id` () | Getter for the “id” property. |
`get_id_label` () | Getter for the “id-label” property. |
`get_id_type` () | Getter for the “id-type” property. |
`get_id_usage` () | Getter for the “id-usage” property. |
`get_id_uuid` () | Getter for the “id-uuid” property. |
`get_id_version` () | Getter for the “id-version” property. |
`get_mdraid` () | Getter for the “mdraid” property. |
`get_mdraid_member` () | Getter for the “mdraid-member” property. |
`get_preferred_device` () | Getter for the “preferred-device” property. |
`get_read_only` () | Getter for the “read-only” property. |
`get_size` () | Getter for the “size” property. |
`get_symlinks` () | Getter for the “symlinks” property. |
`get_userspace_mount_options` () | Getter for the “userspace-mount-options” property. |
`handle_open_device` () | Handler for the “handle-open-device” signal. |

### struct UDisksBlockProxy

    struct UDisksBlockProxy;

The UDisksBlockProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksBlockProxyClass

    struct UDisksBlockProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksBlockProxy.

#### Members

### struct UDisksBlockSkeleton

    struct UDisksBlockSkeleton;

The UDisksBlockSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksBlockSkeletonClass

    struct UDisksBlockSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksBlockSkeleton.

#### Members

## Property Details

### The `“configuration”` property

      “configuration”            GVariant *

Represents the D-Bus property "Configuration".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Allowed values: GVariant<a(sa{sv})>

Default value: NULL

### The `“crypto-backing-device”` property

      “crypto-backing-device”    char *

Represents the D-Bus property "CryptoBackingDevice".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“device”` property

      “device”                   char *

Represents the D-Bus property "Device".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“device-number”` property

      “device-number”            guint64

Represents the D-Bus property "DeviceNumber".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: 0

### The `“drive”` property

      “drive”                    char *

Represents the D-Bus property "Drive".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“hint-auto”` property

      “hint-auto”                gboolean

Represents the D-Bus property "HintAuto".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: FALSE

### The `“hint-icon-name”` property

      “hint-icon-name”           char *

Represents the D-Bus property "HintIconName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“hint-ignore”` property

      “hint-ignore”              gboolean

Represents the D-Bus property "HintIgnore".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: FALSE

### The `“hint-name”` property

      “hint-name”                char *

Represents the D-Bus property "HintName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“hint-partitionable”` property

      “hint-partitionable”       gboolean

Represents the D-Bus property "HintPartitionable".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: FALSE

### The `“hint-symbolic-icon-name”` property

      “hint-symbolic-icon-name”  char *

Represents the D-Bus property "HintSymbolicIconName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“hint-system”` property

      “hint-system”              gboolean

Represents the D-Bus property "HintSystem".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: FALSE

### The `“id”` property

      “id”                       char *

Represents the D-Bus property "Id".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“id-label”` property

      “id-label”                 char *

Represents the D-Bus property "IdLabel".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“id-type”` property

      “id-type”                  char *

Represents the D-Bus property "IdType".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“id-usage”` property

      “id-usage”                 char *

Represents the D-Bus property "IdUsage".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“id-uuid”` property

      “id-uuid”                  char *

Represents the D-Bus property "IdUUID".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“id-version”` property

      “id-version”               char *

Represents the D-Bus property "IdVersion".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“mdraid”` property

      “mdraid”                   char *

Represents the D-Bus property "MDRaid".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“mdraid-member”` property

      “mdraid-member”            char *

Represents the D-Bus property "MDRaidMember".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“preferred-device”` property

      “preferred-device”         char *

Represents the D-Bus property "PreferredDevice".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: NULL

### The `“read-only”` property

      “read-only”                gboolean

Represents the D-Bus property "ReadOnly".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: FALSE

### The `“size”` property

      “size”                     guint64

Represents the D-Bus property "Size".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

Default value: 0

### The `“symlinks”` property

      “symlinks”                 GStrv

Represents the D-Bus property "Symlinks".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

### The `“userspace-mount-options”` property

      “userspace-mount-options”  GStrv

Represents the D-Bus property "UserspaceMountOptions".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksBlock

Flags: Read / Write

## Signal Details

### The `“handle-add-configuration-item”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_item,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `AddConfigurationItem()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_add_configuration_item()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_item | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-format”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_type,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Format()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_format()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_type | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-secret-configuration”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetSecretConfiguration()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_get_secret_configuration()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-open-device”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GUnixFDList           *fd_list,
                   char                  *arg_mode,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenDevice()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_open_device()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
arg_mode | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.7.3

### The `“handle-open-for-backup”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GUnixFDList           *fd_list,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenForBackup()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_open_for_backup()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-open-for-benchmark”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GUnixFDList           *fd_list,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenForBenchmark()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_open_for_benchmark()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-open-for-restore”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GUnixFDList           *fd_list,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenForRestore()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_open_for_restore()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
fd_list | A GUnixFDList or `NULL`. | [nullable]
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-remove-configuration-item”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_item,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `RemoveConfigurationItem()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_remove_configuration_item()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_item | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-rescan”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Rescan()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_rescan()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-update-configuration-item”` signal

    gboolean
    user_function (UDisksBlock           *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_old_item,
                   GVariant              *arg_new_item,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `UpdateConfigurationItem()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_complete_update_configuration_item()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlock. |
invocation | A GDBusMethodInvocation. |
arg_old_item | Argument passed by remote caller. |
arg_new_item | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last